%define	name		compiz-fusion-icon
%define	distname	fusion-icon
%define	version		0.1
%define	release		%mkrel 7

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Simple tray icon for compiz
Group:		System/X11
URL:		http://cgit.compiz.org/~crdlb/fusion-icon/
License:	GPLv2+
BuildArch:	noarch

Source0:	http://cgit.compiz.org/~crdlb/fusion-icon/snapshot/%{distname}-%{version}.tar.bz2
# the license text is not up to date, Source1 is the latest from FSF
# reported to the author on 2011-06-10
Source1:	LICENSE
Patch0:		fusion-icon-0.1-mdv-add-installing-32x32-icon.patch
# borrowed from fedora
Patch1:		fusion-icon-0.1-compiz09_decor.patch
Patch2:		fusion-icon-0.1-compiz09_desktop_hints.patch
Patch3:		fusion-icon-0.1-compiz09_screen.patch

BuildRequires:		desktop-file-utils
BuildRequires:		python-devel

Requires:	compizconfig-python
Requires:	pygtk2.0
Requires:	glxinfo
Requires:	xvinfo
Requires:	compiz >= 0.9

Obsoletes: python-%{distname}
%rename		fusion-icon

%description
Compiz-fusion-icon is a simple tray icon for compiz, it allows you
to graphically choose decorator, window manager and access control center.

%files -f %{distname}.lang
%doc LICENSE MANIFEST VERSION
%{_bindir}/%{distname}
%{_datadir}/icons/hicolor/scalable/apps/%{distname}.svg
%{_datadir}/icons/hicolor/*/apps/%{distname}.png
%{_datadir}/applications/%{distname}.desktop
%dir %{py_puresitedir}/FusionIcon
%{py_puresitedir}/FusionIcon/*.py*
%{py_puresitedir}/FusionIcon/interface_*/*.py*
%{py_puresitedir}/*.egg-info


%prep
%setup -q -n %{distname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
python setup.py build

%install
%__rm -rf %{buildroot}
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%__install -m644 %{SOURCE1} LICENSE
%find_lang %{distname}

desktop-file-install \
  --vendor="" \
  --remove-category="Compiz" \
  --add-category="GTK" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{distname}.desktop



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.1-7.mga3
+ Revision: 348108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 julien <julien> 0.1-6.mga2
+ Revision: 172915
- rename fusion-icon to compiz-fusion-icon to be more discoverable
- rename to compiz-fusion-icon

* Sat Nov 19 2011 julien <julien> 0.1-5.mga2
+ Revision: 169386
- add patch from fedora to adapt to compiz 0.9.x
- add a require on compiz >= 0.9

* Sun Oct 09 2011 julien <julien> 0.1-4.mga2
+ Revision: 153489
- add a Requires on compiz since fusion-icon doesn't work without

* Sun Oct 02 2011 julien <julien> 0.1-3.mga2
+ Revision: 150997
- bump release to stay greater than mga1

* Wed Sep 28 2011 julien <julien> 0.1-2.mga2
+ Revision: 150081
- no need to complexify with two package (cf python policy)

* Sat Jun 11 2011 julien <julien> 0.1-1.mga2
+ Revision: 103470
- add up to date LICENSE file
- split in two package to follow python modules guidelines
- rename patch0
- rename patch0
- cleanup spec file
  	- imported package fusion-icon
- imported package fusion-icon

